/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createRecentWindow = function() {
	var recentWindow = Ti.UI.createWindow();
	
	// TableView
	var recentTableView = Skateparks.UI.createRecentTableView();
	recentWindow.add(recentTableView);
	
	// MapView
	//var recentMapView = Skateparks.UI.createRecentMapView();
	//recentWindow.add(recentMapView);

	var recent = Skateparks.UI.getRecentSkateparkIds();
	var client = Skateparks.API.createClient({
		api : 'skateparks',
		params : {
			include : recent.join(',')
		},
		onComplete : function(response) {
			
		},
		onError : function(response) {
			
		}
	});
	
	client.execute();

	return recentWindow;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.setRecentSkateparkIds = function() {
	
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.getRecentSkateparkIds = function() {
	 return Ti.App.Properties.getList('recent') || [];
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createRecentMapView = function() {
	var mapView = Skateparks.Map.createView();
	return mapView;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createRecentTableView = function() {
	var recentTableView = Skateparks.UI.createSkateparksTableView({
		editable : true
	});
	
	recentTableView.addEventListener('delete', function() {
		alert('deleted!');
	});
	
	return recentTableView;
};
